import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ogrenciPanel extends JPanel implements ActionListener
{

public JLabel xisim;
public JTextField x[]=new JTextField[3];
public String si[];

public ogrenciPanel()
{
  si=new String[3];
  si[0]="Turhan";
  si[1]="Çoban";
  si[2]="3";
  this.setLayout(new GridLayout(1,4));
  xisim=new JLabel("isim, soyisim, not");
  x[0]=new JTextField(si[0]);
  x[1]=new JTextField(si[1]);
  x[2]=new JTextField(si[2]);
  this.add(xisim);
  for(int i=0;i<3;i++)
        {
        this.add(x[i]);
        }
}

public void setogrenciPanel(double xi[],double Fi[])
{
  for(int i=0;i<3;i++)
        this.x[i].setText(""+xi[i]);
}

public String[] getOgrenciPanel()
{
String s[]=new String[3];
for(int i=0;i<3;i++)
    s[i]=this.x[i].getText();
return s;
}

public String getIsim()
{
  return this.x[0].getText();
}

public String getSoyisim()
{
  return this.x[1].getText();
}

public int getNot()
{
  return Integer.parseInt(this.x[2].getText());
}


}

